## org.apache.commons.math.analysis
Interface UnivariateVectorialFunction

All Known Subinterfaces:
  DifferentiableUnivariateVectorialFunction

    public interface UnivariateVectorialFunction

An interface representing a univariate vectorial function.

Since:
  2.0
Version:
  $Revision: 811786 $ $Date: 2009-09-06 05:36:08 -0400 (Sun, 06 Sep 2009) $

Method Summary
`double[]` `value(double x)` Compute the value for the function.

Method Detail

### value

    double[] value(double x)
                   throws FunctionEvaluationException

  Compute the value for the function.

  Parameters:
    `x` - the point for which the function value should be computed
  Returns:
    the value
  Throws:
    `FunctionEvaluationException` - if the function evaluation fails

Copyright (c) 2003-2011 Apache Software Foundation